software-properties-gtk makes a change resulting in a conf file prompt on upgrade that's unnecessary

Bug #1045579 reported by Micah Gersten on 2012-09-04
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
High
Oliver Grawert
Precise
Medium
Unassigned
Quantal
High
Oliver Grawert
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray
Precise
Medium
Unassigned
Quantal
High
Brian Murray

Bug Description

1. Install Ubuntu 12.04.
2. Software Sources > "Updates" > "Notify me of a new Ubuntu version" > "For any new version".
3. update-manager -d
4. "Upgrade"

What happens: A silly prompt appears, "Replace the customized configuration file '/etc/update-manager/release-upgrades'?"

When you uncheck the LTS box on the updates tab, the line in /etc/update-manager/release-upgrades looks like:
prompt=normal
on upgrade the following is expected:
Prompt=normal

Marking this high as an unnecessary prompt on upgrade seems RC to me.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: software-properties-gtk 0.82.7.2
ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
Uname: Linux 3.2.0-30-generic x86_64
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
Date: Mon Sep 3 19:52:56 2012
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/software-properties-gtk
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: software-properties
UpgradeStatus: Upgraded to precise on 2012-01-29 (218 days ago)

Micah Gersten (micahg) wrote :
Changed in software-properties (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
tags: removed: rls-q-incoming
description: updated
Oliver Grawert (ogra) on 2012-10-01
Changed in software-properties (Ubuntu Quantal):
status: Triaged → Fix Committed
assignee: nobody → Oliver Grawert (ogra)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.92.7

---------------
software-properties (0.92.7) quantal; urgency=low

  [ Oliver Grawert ]
  * make sure a capitalized line for "Prompt=" lands in
    /etc/update-manager/release-upgrades to prevent ucf questions
    (LP: #1045579)

  [ Michael Vogt ]
  * softwareproperties/ppa.py: remove no longer applying comment (thanks to
    Zooko)
 -- Oliver Grawert <email address hidden> Mon, 01 Oct 2012 11:20:32 +0200

Changed in software-properties (Ubuntu Quantal):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

ubuntu-release-upgrader should also fix /etc/update-manager/release-upgrades in the event the file was modified with an earlier version of software-properties. I have a fix for this in progress.

Changed in ubuntu-release-upgrader (Ubuntu Quantal):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.183

---------------
ubuntu-release-upgrader (1:0.183) quantal; urgency=low

  * debian/ubuntu-release-upgrader-core.preinst: modify
    /etc/dist-upgrader/release-upgrades to use Prompt instead of prompt
    thereby avoiding a conffile prompt (LP: #1045579)
 -- Brian Murray <email address hidden> Mon, 01 Oct 2012 17:28:23 -0700

Changed in ubuntu-release-upgrader (Ubuntu Quantal):
status: In Progress → Fix Released
peterstan (stasnel) on 2015-08-22
Changed in software-properties (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers